// written by macro go4savecond.C(cond) at Thu Nov 25 21:06:30 2004
void SetConditions(){
// ********************************************
// if condition values should be changed please
// use the lines
// win->SetValues(Float_t,Float_t);
// ********************************************

 #include "TLdaInputDescription.h"
// defines from TLdaInputDescription.h are also available in the scripting file !!!!
    
TGo4Analysis*  anl;
TGo4Condition* con;
TGo4WinCond*   win;
TGo4WinCond*   winc[MAX_STEP];
TGo4WinCond*   wins[MAX_STEP];
TGo4PolyCond*  pol;
TGo4CondArray* ar;
Double_t       x[200],y[200];

Bool_t flags;
Bool_t counters;
Bool_t reset;
flags = kTRUE;
counters = kTRUE;
reset = kTRUE;
//reset = kFALSE;
anl = TGo4Analysis::Instance();
//printf("Set conditions saved by go4savecond.C(\"cond.C\",0) at Thu Nov 25 21:06:30 2004\n");
// SetFlags(enabled,last,mark,result,vtrue,vfalse);


char tmpTitle[200];


printf("Conditions (from SetConditons.C): \n");

	for (Int_t i = 0; i < MAX_STEP; i++) 
    {
       sprintf(tmpTitle, "Cts/WinConCts_%s", stepNames[i].c_str());
        winc[i]=(TGo4WinCond *)anl->GetAnalysisCondition(tmpTitle);
       if(winc[i]) 
       {
            winc[i]->SetFlags(1,0,0,1,1,0);
            winc[i]->SetCounts(0,0);
            winc[i]->ResetCounts(); 
       } else printf("Condition %s not found \n", tmpTitle);
           
        sprintf(tmpTitle, "Sig/WinConSig_%s",
        stepNames[i].c_str());
        wins[i]=(TGo4WinCond *)anl->GetAnalysisCondition(tmpTitle); 
       if(wins[i]) 
        {
            wins[i]->SetFlags(1,0,0,1,1,0);
            wins[i]->SetCounts(0,0);
            wins[i]->ResetCounts(); 
        } else printf("Condition %s not found \n", tmpTitle);
    }
    
    // max.counts in Scaler
    
    if(winc[CH_XUV])
    {
        winc[CH_XUV]->SetValues(0.000,6.000);
        winc[CH_XUV]->PrintCondition(true);
    }      
    if(winc[CH_SOUTH])
    {
        winc[CH_SOUTH]->SetValues(0.000,10000.000);
        winc[CH_SOUTH]->PrintCondition(true);
    }      
    if(winc[CH_MIDDLE])
    {
        winc[CH_MIDDLE]->SetValues(0.000,2.1000);
        winc[CH_MIDDLE]->PrintCondition(true);
    }    
    if(winc[CH_NORTH])
    {
        winc[CH_NORTH]->SetValues(0.000,2.1000);
        winc[CH_NORTH]->PrintCondition(true);
    }      
    if(winc[CH_MIDDLE_GATED])
    {
        winc[CH_MIDDLE_GATED]->SetValues(0.000,2.1000);
        winc[CH_MIDDLE_GATED]->PrintCondition(true);
    }    
    if(winc[CH_NORTH_GATED])
    {
        winc[CH_NORTH_GATED]->SetValues(0.000,2.1000);
        winc[CH_NORTH_GATED]->PrintCondition(true);
    }         
    if(winc[CH_CU])
    {
        winc[CH_CU]->SetValues(0.000,10000.000);
        winc[CH_CU]->PrintCondition(true);
    }
    
    // values for signal peak
    
    if(wins[CH_XUV])
    {
        wins[CH_XUV]->SetValues(50.000,100.000);
        wins[CH_XUV]->PrintCondition(true);
    }      
    if(wins[CH_SOUTH])
    {
        wins[CH_SOUTH]->SetValues(0.000,180.000);
        wins[CH_SOUTH]->PrintCondition(true);
    }      
    if(wins[CH_MIDDLE])
    {
//        wins[CH_MIDDLE]->SetValues(45.000,60.000); // 35       
        wins[CH_MIDDLE]->SetValues(36.000,48.1000);// 53//+30
        //wins[CH_MIDDLE]->SetValues(130.000,180.000);
        wins[CH_MIDDLE]->PrintCondition(true);
    }    
    if(wins[CH_NORTH])
    {
      //  wins[CH_NORTH]->SetValues(50.000,60.000);  //45
       // wins[CH_NORTH]->SetValues(40.000,53.000); // +30        
        wins[CH_NORTH]->SetValues(38.000,52.1000); // +30
//        wins[CH_NORTH]->SetValues(130.000,180.000);
        wins[CH_NORTH]->PrintCondition(true);
    }
    if(wins[CH_MIDDLE_GATED])
    {
        //wins[CH_MIDDLE_GATED]->SetValues(0.000,20.000);
      //  wins[CH_MIDDLE_GATED]->SetValues(20.000,50.000);     
        wins[CH_MIDDLE_GATED]->SetValues(24.000,38.1000); //+30
        wins[CH_MIDDLE_GATED]->PrintCondition(true);
    }    
    if(wins[CH_NORTH_GATED])
    {
        //wins[CH_NORTH_GATED]->SetValues(0.000,20.000);
       // wins[CH_NORTH_GATED]->SetValues(20.000,50.000);        
       wins[CH_NORTH_GATED]->SetValues(24.000,38.1000);// +30
        wins[CH_NORTH_GATED]->PrintCondition(true);
    }  
    if(wins[CH_CU])
    {
        wins[CH_CU]->SetValues(0.000,180.000);
        wins[CH_CU]->PrintCondition(true);
    }    

    
//win=(TGo4WinCond *)anl->GetAnalysisCondition("wincon1");
//if(win){if(flags)   win->SetFlags(1,0,0,1,1,0);
//        if(counters)win->SetCounts(0,0);
//        if(reset)   win->ResetCounts();
//        win->SetValues(-120.85000,11.1500);    
//        win->PrintCondition(true);
//}else printf("Condition wincon1 not found");

//win=(TGo4WinCond *)anl->GetAnalysisCondition("TestName");
//if(win){if(flags)   win->SetFlags(1,0,0,1,1,0);
//        if(counters)win->SetCounts(0,0);
//        if(reset)   win->ResetCounts();
//        win->SetValues(-2.85000,1500);
//        win->PrintCondition(true);
//}else printf("Condition TestName not found\n");

//win=(TGo4WinCond *)anl->GetAnalysisCondition("wincon3");
//if(win){if(flags)   win->SetFlags(1,0,0,1,1,0);
//        if(counters)win->SetCounts(0,0);
//        if(reset)   win->ResetCounts();
//       win->SetValues(-120.85000,11.1500);
////	win->SetValues(-9e20,1.1e20);
//}else printf("Condition wincon3 not found\n");

}
