// $Id: TModelTemplate.h 554 2010-01-22 15:53:21Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TFOLDGAUSS1_H
#define TFOLDGAUSS1_H

#include "TGo4FitModel.h"

class TFoldGauss1: public TGo4FitModel {
	Double_t myErfApprox(Double_t x);
public:
	TFoldGauss1(const char* iName, Int_t iNPars, Bool_t AddAmplitude = kFALSE);

protected:
	virtual Double_t UserFunction(Double_t* Coordinates, Double_t* Parameters);

ClassDef(TFoldGauss1,1)
};
#endif // TFOLDGAUSS1_H
