// $Id: TLda4WaveMergEvent.cxx 506 2009-11-06 08:07:59Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#include "TLda4WaveMergEvent.h"

#include <string.h>

//***********************************************************
TLda4WaveMergEvent::TLda4WaveMergEvent() : TGo4EventElement()
{
}
//***********************************************************
TLda4WaveMergEvent::TLda4WaveMergEvent(const char * name) : TGo4EventElement(name)
{
}
//***********************************************************
TLda4WaveMergEvent::~TLda4WaveMergEvent()
{
}

//-----------------------------------------------------------
void TLda4WaveMergEvent::Clear(Option_t *t)
{
	for(int i=0; i<MAX_TDC; i++){
	   resonance[i].Set(0);
	}

    startWL = 0;
    stepWL = 0;
    stepNr = 0;

}
