// $Id: TLda3aIntDiffEvent.h 478 2009-10-29 12:26:09Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TLda4WaveMergEvent_H
#define TLda4WaveMergEvent_H

#include "TGo4EventElement.h"
#include "TLdaInputDescription.h"
#include <TArrayD.h>

class TLda4WaveMergEvent: public TGo4EventElement {
public:
	TLda4WaveMergEvent();
	TLda4WaveMergEvent(const char* name);
	virtual ~TLda4WaveMergEvent();
	virtual void Clear(Option_t *t = "");

	TArrayD resonance[MAX_TDC];

	Double_t startWL;
	Double_t stepWL;
	Double_t stepNr;
	Double_t eventMbsTime;//in absolute time
	Double_t eventUsefulLifeTime;//external clock during DAQ lifetime


ClassDef(TLda4WaveMergEvent,1)
};
#endif //TLda4WaveMergEvent_H

