#include <vector>
#include <queue>
#include <deque>
#include <algorithm>

#ifndef FIXEDQUEUE_H
#define  FIXEDQUEUE_H

template <typename T, int MaxLen, typename Container=std::deque<T>>
class FixedQueue : public std::deque<T, Container> {
public:
    void push_back(const T& value) {
        if (this->size() == MaxLen) {
           this->c.pop_front();
        }
        std::deque<T, Container>::push_back(value);
    }
};

#endif
