// written by macro go4savecond.C(cond) at Thu Nov 25 21:06:30 2004

 #include "TLdaInputDescription.h"

// defines from TLdaInputDescription.h are also available in the scripting file !!!!

void SetParameters(){
// ********************************************
// if paramter values should be changed please
// use the lines
// fPar->pfxxx = );
// ********************************************
    TLdaParameters *fPar ;
    fPar = (TLdaParameters *) (TGo4Analysis::Instance()->GetParameter("TimeParameters", "TLdaParameters")) ;
    
    if(fPar){
        printf("========================================\n");
        printf("Old Parameters... \n");        
        fPar->PrintParameter(0,0);
	
        printf("========================================\n");
        
       // fPar->pusTimeAxisForLaserPulse = 2;
      // 1 : use Qswitch
      // 2 : use PD_SO
        fPar->pfUcool = 223219;
        //fPar->pfOhmlabsDividerRtatio = 248517.0;        
        fPar->pfOhmlabsDividerRtatio = 0.2485170;
        // fPar->pfRevolutionFrequency = 1.99e6; // Bi Test
        fPar->pfRevolutionFrequency = 1.99233e6; // Bi Beamtime
        //   fPar->pfRevolutionFrequency = 1.98744e6; // Bi Beamtime
        fPar->pfSetWavelengthLow = 548.00; // Value will be used to determine PMTOverWL Spectra Range. But not the exact value will be used it is rather as input for further calculations
        fPar->pfSetWavelengthHigh = 549.00; // Value will be used to determine PMTOverWL Spectra Range. But not the exact value will be used it is rather as input for further calculations
        fPar->piNOfLaserSteps = 200; //  file 8150
        //fPar->piNOfLaserSteps = 200; // file 8145    
        fPar->pusFoldStepSpectra = 1; // 0: contiuous, 1: add up several scans
        
        fPar->piCSReductionFactor = 90; // Bi TestReduction Factor for CommonStop Signal        
       // fPar->piCSReductionFactor = 100; // Thorium Beamtime
        fPar->piPhaseOffset = 30; //Offset in Bins of the TDC bunch spectra (use to center...)
        fPar->piNOfCSForValidTimeRange = 12; //12, 20 How many commom stops after QSwitch or PD_SO to include in the anlysis: 1 CS every  piCSReductionFactor * 1/pfRevolutionFrequency (1 CS about every ~50 us) ...
        fPar->piLaserStep = 0 ; // LaserStepCounter, leave at = 0, value changes during the analysis, LaserStep as a parameter allows for accesing and resetting the step counter e.g. every time the star button is pressed or via a script.
        printf("========================================\n \n");
        printf("Updated Parameters... \n");             printf("========================================\n \n");
        fPar->PrintParameter(0,0);       
        printf("========================================\n \n");
    }else  printf("could not create temp parameter object \n");
    
    
    
 //   printf("test:\n");
}
