// $Id: TLdaUnpackEvent.cxx 506 2009-11-06 08:07:59Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#include "TLdaUnpackEvent.h"

#include <string.h>

//***********************************************************
TLdaUnpackEvent::TLdaUnpackEvent() :
   TGo4EventElement()
{
}
//***********************************************************
TLdaUnpackEvent::TLdaUnpackEvent(const char* name) :
   TGo4EventElement(name)
{
}
//***********************************************************
TLdaUnpackEvent::~TLdaUnpackEvent()
{
}
//***********************************************************
void  TLdaUnpackEvent::Clear(Option_t *t)
{
    for(int n=0; n<MAX_SCA; n++){
        scalerSubEvent[n]=0;
    }    
    for(int n=0; n<TOTAL_LV_NUMBERS; n++){
        eventLv[n]=0;
    }
    for(int n=0; n<MAX_TDC; n++){
	   tdcSubEvent[n].Set(0);    // Set(0) only reduces te size to 0...
//	   arrTimeStampCS[n].Set(0); 
       arrCSCounter[n].Set(0);	 
    //tdcSubEvent[n].Reset();    // Reset setzt alle Werte auf 0
    //arrTimeStampCS[n].Reset(); 
    //arrCSCounter[n].Reset();
     //  tdcCSCounter[n].Set(0);
   }
  
	eventTime=0;
    eventTimeMilliSec=0;
	eventCount=0;
	eventSizeMbs=0;
 



}
