// $Id: TLda3aIntDiffProc.h 505 2009-11-05 18:03:50Z goofy $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TLda3aIntDiffPROCESSOR_H
#define TLda3aIntDiffPROCESSOR_H

#include <TArrayI.h>
#include "TGo4EventProcessor.h"
#include "TLdaUnpackEvent.h"
#include "TGo4Parameter.h"
#include "TLdaInputDescription.h"

class TLdaParameters;
class Parameter2ndList;
class TLda3aIntDiffEvent;

class TLda3aIntDiffProc : public TGo4EventProcessor {
   public:
      TLda3aIntDiffProc() ;
      TLda3aIntDiffProc(const char * name);
      virtual ~TLda3aIntDiffProc();

      virtual Bool_t BuildEvent(TGo4EventElement* dest);

      TLdaParameters     *fPar;
      Parameter2ndList	 *fPar2;
   private:
      Int_t				  scanningCtr;
//      TH1              *convolutedTdcHist[MAX_TDC];
      TH1                *scanIntDiff[MAX_TDC];
      TH1                *scanIntTotal[MAX_TDC];




   ClassDef(TLda3aIntDiffProc, 1)
};
#endif //TLda3aIntDiffPROCESSOR_H
