// $Id: TLda3aIntDiffEvent.cxx 506 2009-11-06 08:07:59Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#include "TLda3bBunchFitEvent.h"

#include <string.h>

//***********************************************************
TLda3bBunchFitEvent::TLda3bBunchFitEvent() : TGo4EventElement()
{
}
//***********************************************************
TLda3bBunchFitEvent::TLda3bBunchFitEvent(const char * name) : TGo4EventElement(name)
{
}
//***********************************************************
TLda3bBunchFitEvent::~TLda3bBunchFitEvent()
{
}

//-----------------------------------------------------------
void TLda3bBunchFitEvent::Clear(Option_t *t)
{
	for(int i=0; i<MAX_TDC; i++){
	   amplitudeLong[i] = 0;
	   amplitudeShort[i] = 0;
	   background[i] = 0;
	   signal[i] = 0;
	}
}
