// $Id: TLda3aIntDiffEvent.h 478 2009-10-29 12:26:09Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TLDA3BBUNCHFITEVENT_H
#define TLDA3BBUNCHFITEVENT_H

#include "TGo4EventElement.h"
#include "TLdaInputDescription.h"
#include <TArrayI.h>

class TLda3bBunchFitEvent: public TGo4EventElement {
public:
	TLda3bBunchFitEvent();
	TLda3bBunchFitEvent(const char* name);
	virtual ~TLda3bBunchFitEvent();
	virtual void Clear(Option_t *t = "");

	Double_t amplitudeLong[MAX_TDC];
	Double_t amplitudeShort[MAX_TDC];
	Double_t background[MAX_TDC];
	Double_t signal[MAX_TDC];
	Double_t eventMbsTime;//in absolute time
	Double_t eventUsefulLifeTime;//external clock in during good measuring conditions

ClassDef(TLda3bBunchFitEvent,1)
};
#endif //TLDA3BBUNCHFITEVENT_H

